CVE-2018-10119

Priority
Description
sot/source/sdstor/stgstrms.cxx in LibreOffice before 5.4.5.1 and 6.x before
6.0.1.1 uses an incorrect integer data type in the StgSmallStrm class,
which allows remote attackers to cause a denial of service (use-after-free
with write access) or possibly have unspecified other impact via a crafted
document that uses the structured storage ole2 wrapper file format.
Assigned-to
mdeslaur
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (1:4.2.8-0ubuntu5.5)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:5.1.6~rc2-0ubuntu1~xenial6)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (1:6.0.3-0ubuntu1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (1:6.0.3-0ubuntu1)
Ubuntu 19.04 (Disco Dingo):not-affected (1:6.0.3-0ubuntu1)
Patches:
Upstream:https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=fdd41c995d1f719e92c6f083e780226114762f05
Upstream:https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-4&id=59cf6c6128f67d807de58fae2d7fae2b4909ad68 (5.4)
More Information

Updated: 2019-02-06 17:14:56 UTC (commit a20160c8ccadb0310c41f45046cb46ad7d9244ff)